const { refObject, Button, ImageButton, TextBox, Vector } = require('@tabletop-playground/api');
const { AddValueChars, TypeCharacteristic } = require('./general/General_Functions.js');

const countPoints = 100;
let snapPoints = [];
refObject.onCreated.add(() => {
  for (let i = 0; i < countPoints; i++) {
    snapPoints[i] = refObject.getSnapPoint(i);
  }
  loadState();
})

let testValues = [1, 1, 1, 1, 1, 1, 1];
refObject.onHit.add(() => {
  for (let i = 0; i < countPoints; i++) {
    if (snapPoints[i] != undefined && snapPoints[i].getSnappedObject() != undefined) {
      AddValueChars(refObject.getName(), testValues);
    }
  }
})

function loadState() {
  
}

refObject.ResetValue = function () {
  
}